Name: jhead
Version: 3.06.0.1
Release:    1%{?dist}
Summary: Tool for displaying EXIF data embedded in JPEG images
License: Public Domain
URL: http://www.sentex.net/~mwandel/jhead/
Source0: https://codeload.github.com/Matthias-Wandel/jhead/tar.gz/refs/tags/%{version}#/jhead-%{version}.tar.gz
Patch0: almost-57.patch

Requires: libjpeg-turbo-utils
BuildRequires: gcc
BuildRequires: make

%description
Jhead displays and manipulates the non-image portions of EXIF formatted
JPEG images, such as the images produced by most digital cameras.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
%{__mkdir_p} %{buildroot}/%{_bindir}
cp -p jhead %{buildroot}/%{_bindir}
%{__mkdir_p} %{buildroot}/%{_mandir}/man1/
cp -p jhead.1 %{buildroot}/%{_mandir}/man1/

%files
%doc readme.txt usage.html changes.txt
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.06.0.1-1
- initial build
